Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: glib2-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       ibus-fbterm
Version:    1.0.2
Release:    alt1_5
Summary:    IBus front-end for fbterm
License:    GPL-3.0-only
URL:        https://github.com/fujiwarat/ibus-fbterm
Source0:    https://github.com/fujiwarat/ibus-fbterm/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0: ibus-fbterm-c99.patch

Requires:      ibus python3-module-ibus-overrides, fbterm >= 1.6
BuildRequires: gcc
BuildRequires: ibus python3-module-ibus-overrides libibus-devel libibus-gir-devel
BuildRequires: autoconf automake
BuildRequires: vala vala-tools valadoc-devel
Source44: import.info

%description
ibus-fbterm is a input method for FbTerm based on IBus.

* To utilize framebuffer, user should be added into 'video' group, or install
  fbterm-udevrules package.

%prep
%setup -q
%patch0 -p1

# Trigger recompilation of all Vala sources.
find -name '*.vala' -exec touch {} \;

%build
autoreconf -iv
%configure \
    --prefix=%{_prefix}
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS COPYING README
%{_bindir}/ibus-fbterm
%{_libexecdir}/ibus-fbterm-backend
%{_mandir}/man1/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt1_5
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_15
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_14
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_13
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_12
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_11
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_10
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_9
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_7
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_6
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_5
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_2
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_1
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_22
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_19
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_18
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_17
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_16
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_15
- initial fc import

